Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja-> Przywitaj się. Wątki z problemami zamieszczone w dziale "Przywitaj się" będą usuwane.

Autor Wątek: jak stworzyć szybko paczkę deb z zależnościami ?  (Przeczytany 893 razy)

Offline spidi

  • Newbie
  • *
  • Wiadomości: 6
jak stworzyć szybko paczkę deb z zależnościami ?
« dnia: Kwiecień 11, 2016, 09:14:43 am »
witam jak w tytule jak stworzyć np paczkę lxde ? . Jest jakiś programik co zrobi to za nas ? Debian Jessie 8

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1393
Odp: jak stworzyć szybko paczkę deb z zależnościami ?
« Odpowiedź #1 dnia: Kwiecień 11, 2016, 01:28:57 pm »
Jeśli szybko, to spróbuj 'deb-package-builder' z repo Sparky.
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline spidi

  • Newbie
  • *
  • Wiadomości: 6
Odp: jak stworzyć szybko paczkę deb z zależnościami ?
« Odpowiedź #2 dnia: Kwiecień 11, 2016, 04:59:57 pm »
ściągnęłem zależność python gtk dla wheezy bo nie było dla jessie . Zainstalowałem debrate przez gdebi . Teraz nie mogę uruchomić debreate choć zainstalował się bez błędów

root@debian:/home/user# debreate
Cytuj
Traceback (most recent call last):
  File "/usr/bin/debreate", line 12, in <module>
    import wx, sys, os, debreate, db, language, shutil
  File "/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode/wx/__init__.py", line 45, in <module>
    from wx._core import *
  File "/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 14822, in <module>
    from _gdi import *
  File "/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode/wx/_gdi.py", line 4, in <module>
    import _gdi_
ImportError: /usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode/wx/_gdi_.so: symbol _ZN14wxGnomePrintDC13GetResolutionEv, version WXU_2.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference